Update Retailer Routing Guide metadata
curl --request PUT \
--url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides/{guide_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>"
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides/{guide_id}"
payload = {
"title": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>'})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides/{guide_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}Retailers
Update Retailer Routing Guide metadata
Updates title and/or description only. file_name / file_content in the body
return 400; delete and re-create the guide to replace the file.
PUT
/
v1
/
shipping
/
retailers
/
{id}
/
routing-guides
/
{guide_id}
Update Retailer Routing Guide metadata
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the parent Retailer.
Required range:
x >= 1The id of the referenced RetailerRoutingGuide.
Required range:
x >= 1Body
application/json
Metadata-only update.
Response
OK - The operation completed successfully and there is no response body.
Was this page helpful?
⌘I